[paludis-user] poppler problems

Dirk Heinrichs dirk.heinrichs at online.de
Tue Jan 26 17:44:18 UTC 2010


Am Dienstag 26 Januar 2010 17:31:54 schrieb Beso:
> 2010/1/26 David Pyke <David.Pyke at csa.ca>
>
> > Has anyone found a way out of the app-text/poppler misery? According to
> > [1], app-text/poppler is the way to go and all the rest should
> > disappear. But it's not working for me at least. app-text/poppler blocks
> > the old dev-libs/poppler but loads of ebuilds still depend on
> > dev-libs/poppler. Anyone a suggesting what to do?
> 
> use paludis --dl-blocks discard, install the new poppler ebuilds, then do a
> paludis --report, see what packages are unrequested and if they satisfy you
> then do a paludis --unistall-unused. after that do a reconcilio and you
> should be fine. the only problem you might have is if you've got poppler
> inside the world file. if this is the case then you'd have to first
> uninstall it manually.

I also needed to re-emerge cups, because the installed ebuild had a dependency 
on app-text/poppler-utils, while the one in the tree depends on 
virtual/poppler-utils.

HTH...

	Dirk



More information about the paludis-user mailing list